#
# spec file for package kid3
#
# neededforbuild  aaa_base aaa_dir base bash cpp glibc glibc-devel grep gzip less man sh-utils binutils fileutils gdb id3lib id3lib-devel gpp gcc make perl qt qt-devel qt-devel-doc qt3-devel-tools rpm gettext kdelib kdelibs-devel libxslt libvorbis-devel libogg-devel flac-devel libtunepimp-devel
%define section Multimedia/Sound

Name:		kid3
License:	GPL
Group:		Sound
Summary:	ID3 tagger
Version:	0.6
Release:	1.2006mcnl
Packager:	Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl>
Vendor:		Mandrivaclub.nl
URL:		http://kid3.sourceforge.net/
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot 
Requires:	id3lib
BuildRequires:	id3lib-devel libtunepimp-devel libflac-devel

%description
Kid3 - Efficient ID3 Tagger

With Kid3 you can:

- Edit ID3v1.1 tags
- Edit all ID3v2.3 frames
- Convert between ID3v1.1 and ID3v2.3 tags
- Edit tags of multiple files, e.g. the artist, album, year and genre
  of all files of an album typically have the same values and can be
  set together.
- Generate tags from filenames
- Generate filenames from tags
- Generate playlist files
- Automatic case conversion and string translation
- Import of album data

Authors: Urs Fleisch


%prep
%setup

%build
%configure --disable-rpath
%make

%install
%makeinstall
#make DESTDIR=$RPM_BUILD_ROOT install
#find $RPM_BUILD_ROOT -type f -o -type l | sed "s|^$RPM_BUILD_ROOT||" >master.list
#mkdir -p ${RPM_BUILD_ROOT}/%{_defaultdocdir}

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="Kid3" \
longtitle="%summary"
EOF

#icons

%define  nameicon kid3/hi48-app-kid3.png

mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root) 
%doc README COPYING AUTHORS INSTALL NEWS
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_bindir}/%{name}
%{_datadir}/applnk/Multimedia/%{name}.desktop
%{_datadir}/apps/%{name}/%{name}ui.rc
%{_docdir}/HTML/*/%{name}/*
%{_iconsdir}/hicolor/*x*/apps/%{name}.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo


%changelog 

* Tue Nov 01 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 0.6-1.2006mcnl
- first build for Mandriva Linux
